Class Index | File Index

## Classes

- _global_
- Deluge.Events
- Deluge.Formatters
- Deluge.Keys
- Deluge.OptionsManager
- Deluge.UI
- Ext.deluge.TorrentGrid
- Ext.ux.FullProgressBar

# Namespace Deluge.Keys

Deluge.Keys
Defined in: Deluge.Keys.js.

Namespace Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Deluge.Keys The torrent status keys that are commonly used around the UI.

Field Summary
Field Attributes | Field Name and Description
--- | ---
<static> | Deluge.Keys.Details Keys used in the details tab of the statistics panel.
<static> | Deluge.Keys.Files Keys used in the files tab of the statistics panel.
<static> | Deluge.Keys.Grid
<static> | Deluge.Keys.Options Keys used in the options tab of the statistics panel.
<static> | Deluge.Keys.Peers Keys used in the peers tab of the statistics panel.
<static> | Deluge.Keys.Status Keys used in the status tab of the statistics panel.

Namespace Detail
Deluge.Keys
The torrent status keys that are commonly used around the UI.
Field Detail
<static> Deluge.Keys.Details
Keys used in the details tab of the statistics panel.

<static> Deluge.Keys.Files
Keys used in the files tab of the statistics panel.

    ['files', 'file_progress', 'file_priorities']

<static> Deluge.Keys.Grid

<static> Deluge.Keys.Options
Keys used in the options tab of the statistics panel.

    ['max_download_speed', 'max_upload_speed', 'max_connections', 'max_upload_slots',
     'is_auto_managed', 'stop_at_ratio', 'stop_ratio', 'remove_at_ratio', 'private',
     'prioritize_first_last']

<static> Deluge.Keys.Peers
Keys used in the peers tab of the statistics panel.

    ['peers', 'seed']

<static> Deluge.Keys.Status
Keys used in the status tab of the statistics panel. These get extended by Deluge.Keys.Grid.

Documentation generated by JsDoc Toolkit 2.1.0 on Mon Jul 13 2009 00:34:03 GMT+0100 (BST)